#ifndef _STRM_H
#define _STRM_H

#include <stdint.h>
#include <usb.h>

#define STRM_TYPE_DDR2 0x1
#define STRM_DDR2_WRITE_HDR_INIT(addr) \
	(uint32_t)(0x80000000 | (addr & 0x0fffffff))
#define STRM_DDR2_READ_HDR_INIT(addr) \
	(uint32_t)(~(0x1 << 31) & (addr & 0x0fffffff))

/* prototypes */
usb_dev_handle *strm_init(int vendor, int product);
int strm_fini(void);

#endif /* _STRM_H */
